Package com.orchestranetworks.permissions

# Class QueryPermissionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
com.orchestranetworks.permissions.QueryPermissionException

All Implemented Interfaces:
  `Serializable`

public final class QueryPermissionException extends RuntimeException
This exception is thrown when a query fails because some nodes are not visible for the user.

Attention: The permission check does not take into account the access rules set on fields which are record-dependent. In other words, `AccessRule.getPermission(Adaptation, Session, SchemaNode)` is only called with the dataset for the `aDataSetOrRecord` parameter.

Since:
  6.0.0
See Also:
  - Serialized Form

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static QueryPermissionException`
  `create(Session aSession, Map<SchemaNode,Adaptation> forbiddenNodes)`
  Creates a QueryPermissionException.
  `static QueryPermissionException`
  `create(Session aSession, Map<SchemaNode,Adaptation> forbiddenNodes, String message)`
  `Map<SchemaNode,Adaptation>`
  `getForbiddenNodes()`
  Returns the forbidden nodes used in the query and the dataset in which these are forbidden.
  `Session`
  `getSession()`
  Returns the session specified in the query.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### create

    public static QueryPermissionException create(Session aSession, Map<SchemaNode,Adaptation> forbiddenNodes)
    Creates a QueryPermissionException.

  - ### create

    public static QueryPermissionException create(Session aSession, Map<SchemaNode,Adaptation> forbiddenNodes, String message)

  - ### getForbiddenNodes

    public Map<SchemaNode,Adaptation> getForbiddenNodes()
    Returns the forbidden nodes used in the query and the dataset in which these are forbidden. This nodes are used either in the projection or in the filter, join or sort clause.

  - ### getSession

    public Session getSession()
    Returns the session specified in the query.